Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.jdbc.common
Interface JdbcServices

public interface JdbcServices
extends Remote

Interface for JdbcT3 services. T3Clients get access to these services through the T3ClientServices class in weblogic.common.

Author:
  Copyright (c) 1997 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `createPool(java.util.Properties props)` Creates a new pool with the properties specified.
`Pool` | `getPool(java.lang.String name)` Returns an existing pool with the name specified.
`boolean` | `poolExists(java.lang.String poolName)` Does a pool with the given name exist?

Method Detail

### poolExists

    public boolean poolExists(java.lang.String poolName)
                       throws java.lang.Exception

  Does a pool with the given name exist?

  This is a privileged method, and can only be invoked on a client that has specified an authorized Principal.

  Parameters:
    `name` - Name of the pool being looked for
  Throws:
    java.lang.Exception - if there is an error

### createPool

    public void createPool(java.util.Properties props)
                    throws java.lang.Exception

  Creates a new pool with the properties specified.

  This is a privileged method, and can only be invoked on a client that has specified an authorized Principal.

  Parameters:
    `props` - properties of the pool to create
  Throws:
    java.lang.Exception - if there is an error

### getPool

    public Pool getPool(java.lang.String name)
                 throws java.lang.Exception

  Returns an existing pool with the name specified.

  This is a privileged method, and can only be invoked on a client that has specified an authorized Principal.

  Parameters:
    `name` - name of the pool
  Throws:
    java.lang.Exception - if there is an error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD